- hosts: all
  become: yes
  vars:
    mailname: foodsharing.network
    ops_mail: ops@foodsharing.network
    # NOTE: after editing the domain list check always, whether lets encrypt still works as it should!
    domains_production:
        - dragonfruit.foodsharing.de
        - foodsharing.network
        - foodsharing.de
        - foodsharing.at
    
    domains_beta:
        - beta.foodsharing.de

    redirects:
        www.foodsharing.de: foodsharing.de
        www.foodsharingschweiz.ch: foodsharing.network
        foodsharingschweiz.ch: foodsharing.network
        www.foodsharing.network: foodsharing.network
        www.foodsharing.at: foodsharing.at
        lebensmittelretter.de: foodsharing.de
        www.lebensmittelretter.de: foodsharing.de
        myfoodsharing.at: foodsharing.at
        www.myfoodsharing.at: foodsharing.at
        myfoodsharing.org: foodsharing.de
  vars_files:
    - vault.yml
  roles:
    - base
    - users
    - ssh
    - mail
    - foodsharing
    - monitoring
  tasks:
  - name: backups
    include_role:
      name: borgmatic
    vars:
      borg_repository: banana-backup@carrot.foodsharing.de:/home/banana-backup/banana.borg
      backup_folders:
        - /root/backups
        - /var/www/production/shared/images
        - /var/www/production/shared/data
        - /etc

      backup_mysql_databases:
        - fsprod
  
  - name: node_exporter
    include_role:
      name: node-exporter
    vars:
      version: "1.0.1"
